﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DynamicallyChangeChartDS103276
{
    public partial class Form1 : Form
    {
        DataTable dt;

        public Form1()
        {
            InitializeComponent();
            this.ultraButton2.Click += new EventHandler(ultraButton2_Click);
            this.ultraButton1.Click += new EventHandler(ultraButton1_Click);
            this.Load += new EventHandler(Form1_Load);
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.ColumnChart;

            ultraChart1.TitleTop.HorizontalAlign = StringAlignment.Center;

            ultraChart1.DataSource = GetData();
        }

        void ultraButton1_Click(object sender, EventArgs e)
        {
            ultraChart1.DataSource = GetData();
        }

        void ultraButton2_Click(object sender, EventArgs e)
        {
            ultraChart1.DataSource = GetData2();
        }

        DataTable GetData()
        {
            dt = new DataTable();

            dt.Columns.Add("", typeof(int));
            dt.Columns.Add("", typeof(int));

            for (int i = 0; i < 9; i++)
            {
                dt.Rows.Add(i, i + 10);
            }

            ultraChart1.TitleTop.Text = "DataTable1";

            return dt;
        }

        DataTable GetData2()
        {
            dt = new DataTable();

            dt.Columns.Add("", typeof(int));
            dt.Columns.Add("", typeof(int));

            for (int i = 0; i < 20; i++)
            {
                dt.Rows.Add(i - 1, i + 10);
            }

            ultraChart1.TitleTop.Text = "DataTable2";

            return dt;
        }
    }
}
